> For the complete documentation index, see [llms.txt](https://valor-biomechanics.gitbook.io/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://valor-biomechanics.gitbook.io/api/reference/api-reference.md).

# API Reference

Dive into the specifics of each API endpoint by checking out our complete documentation.

{% hint style="info" %}
**Note:** This API does not currently support retrieving free session/sandbox motion capture sessions. You can only retrieve assessment or exercise based sessions.&#x20;
{% endhint %}

## athletes

All the methods associated with `CRUD`ing athletes within your organization.

{% content-ref url="/pages/WzhXl8GrEg9fhJzKoD4e" %}
[athletes](/api/reference/api-reference/athletes.md)
{% endcontent-ref %}

## assessments

All the methods associated with `CRUD`ing assessments within your organization.

{% content-ref url="/pages/LeB1LN08OOlAIkDg7ajh" %}
[assessments](/api/reference/api-reference/assessments.md)
{% endcontent-ref %}

## exercises

All the methods associated with `CRUD`ing exercises within your organization.

{% content-ref url="/pages/NzYfHOLxFzd8QFWs2T9c" %}
[exercises](/api/reference/api-reference/exercises.md)
{% endcontent-ref %}

## sessions

All the methods associated with retrieving session meta data for your organization.&#x20;

{% content-ref url="/pages/tSdkj5Z04D39d12I6nE4" %}
[sessions](/api/reference/api-reference/sessions.md)
{% endcontent-ref %}

## ikData

All the methods associated with retrieving a specific json including all inverse kinematics data for a specific session.

{% content-ref url="/pages/S3OMLY4Piyvw5Hx6YgcG" %}
[ikData](/api/reference/api-reference/ikdata.md)
{% endcontent-ref %}

## reportData

All the methods associated with retrieving multiple or a specific json including the Valor reported metrics for any recorded movement session.

{% content-ref url="/pages/neBNGovhoSvMGsy15Blk" %}
[reportData](/api/reference/api-reference/reportdata.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://valor-biomechanics.gitbook.io/api/reference/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
